// Verilog definition of TB2
// created by TB

module TB2(N44, N45, N46, N47, N48, N49, N50);
input N44;
input N45;
input N46;
input N47;
input N48;
output N49;
output N50;

  wire N51;
  wire N55;
  wire N62;

  inv02 ix133(N51, N50);
  oai21 ix21(N45, N48, N55, N51);
  nand02_2x ix136(N46, N47, N55);
  ao21 ix138(N44, N46, N62, N49);
  and02 ix9(N45, N55, N62);

endmodule
